Summary: Commands for accessing the CE monitor service
Name: glite-ce-monitor-cli
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: Applications/Internet
BuildArch: %{_arch}
BuildRequires: %{!?extbuilddir: glite-ce-wsdl,} chrpath, libtool
BuildRequires: %{!?extbuilddir:glite-build-common-cpp, } libxslt
BuildRequires: %{!?extbuilddir: glite-lbjp-common-gsoap-plugin-devel,} boost-devel
BuildRequires: %{!?extbuilddir: voms-devel,} gsoap-devel, c-ares-devel
BuildRequires: globus-openssl-devel, globus-openssl-module-devel, globus-gssapi-gsi-devel
BuildRequires: globus-callout-devel, globus-common-devel, docbook-style-xsl
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: glite-ce-monitor-client-api-c-%{version}-%{release}.tar.gz

%global debug_package %{nil}

%description
The CE monitor client is a collection of commands for accessing 
the CE monitor service

%prep
 

%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ./configure --prefix=%{buildroot}/usr --sysconfdir=%{buildroot}/etc --disable-static PVER=%{version}
  make
fi

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  make install
else
  cp -R %{extbuilddir}/* %{buildroot}
fi
sed 's|^prefix=.*|prefix=/usr|g' %{buildroot}%{_libdir}/pkgconfig/monitor-client-api-c.pc > %{buildroot}%{_libdir}/pkgconfig/monitor-client-api-c.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/monitor-client-api-c.pc.new %{buildroot}%{_libdir}/pkgconfig/monitor-client-api-c.pc
rm %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}/usr/share/doc/%{name}-%{version}
cp %{buildroot}/usr/share/doc/glite-ce-monitor-client-api-c-%{version}/LICENSE %{buildroot}/usr/share/doc/%{name}-%{version}
strip -s %{buildroot}/usr/bin/glite-ce-monitor-*
chrpath --delete %{buildroot}/usr/bin/glite-ce-monitor-*
strip -s %{buildroot}%{_libdir}/*.so.0.0.0
chrpath --delete %{buildroot}%{_libdir}/*.so.0.0.0
export QA_SKIP_BUILD_ROOT=yes

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/bin/glite-ce-monitor-*
%dir /usr/share/doc/%{name}-%{version}
%doc /usr/share/doc/%{name}-%{version}/LICENSE
%doc /usr/share/man/man1/glite-ce-*.1.gz





%package -n glite-ce-monitor-client-api-c
Summary: Libraries for the client of the CEMonitor service
Group: System Environment/Libraries

%description -n glite-ce-monitor-client-api-c
Libraries for the client of the CEMonitor service

%files -n glite-ce-monitor-client-api-c
%defattr(-,root,root)
%{_libdir}/libglite_ce_monitor_*.so.0
%{_libdir}/libglite_ce_monitor_*.so.0.0.0
%dir /usr/share/doc/glite-ce-monitor-client-api-c-%{version}/
%doc /usr/share/doc/glite-ce-monitor-client-api-c-%{version}/LICENSE

%post -n glite-ce-monitor-client-api-c -p /sbin/ldconfig

%postun -n glite-ce-monitor-client-api-c -p /sbin/ldconfig



%package -n glite-ce-monitor-client-devel
Summary: Development files for the client of the CEMonitor service
Group: System Environment/Libraries
Requires: glite-ce-monitor-client-api-c%{?_isa} = %{version}-%{release}
Requires: boost-devel, gsoap-devel, glite-build-common-cpp
Requires: globus-openssl-devel, globus-openssl-module-devel
Requires: globus-callout-devel, globus-common-devel
Requires: voms-devel, glite-lbjp-common-gsoap-plugin-devel

%description -n glite-ce-monitor-client-devel
Development files for the client of the CEMonitor service

%files -n glite-ce-monitor-client-devel
%defattr(-,root,root)
%dir /usr/include/glite/
%dir /usr/include/glite/ce/
%dir /usr/include/glite/ce/monitor-client-api-c/
/usr/include/glite/ce/monitor-client-api-c/*.h
/usr/include/glite/ce/monitor-client-api-c/*.nsmap
%{_libdir}/pkgconfig/monitor-client-api-c.pc
%{_libdir}/libglite_ce_monitor_*.so




%changelog
* %{extcdate} CREAM group <cream-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}

